﻿import es
import langlib
import math
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

common = langlib.Strings(lang_dir + "popup_common.ini")
messages = langlib.Strings(lang_dir + "match/messages_match_stats_score_sheet.ini")

score_sheet = []

# ******************** Load ********************
def load():
	reset()

# ******************** Events ********************
def es_map_start(event_var):
	reset()

# ******************** Create popup ********************
def create_popup():
	number = 1
	page = 1
	result = 1
	length = float(len(score_sheet))

	number_pages = int(math.ceil(length / 5))

	popup = popuplib.create("sm_popup_stats_score_sheet_1")

	popup.addline("SOCCER MOD %s (1/%s)" % (messages("title"), number_pages))
	popup.addline(" ")

	for row in score_sheet:
		popup.addline(row)

		number += 1
		result += 1

		if number > 5 or result > length:
			number = 1

			popup.addline(" ")

			popup.addline("->1. Display in console")
			popup.select(1, score_sheet_console)

			for i in range(2, 8):
				popup.submenu(i, "sm_popup_stats_score_sheet_%s" % (page))

			if length > 5:
				popup.addline(" ")

			page -= 1
			if page > 0:
				popup.addline("->8. %s" % (common("previous")))
				popup.submenu(8, "sm_popup_stats_score_sheet_%s" % (page))

			page += 2
			if page <= number_pages:
				popup.addline("->9. %s" % (common("next")))
				popup.submenu(9, "sm_popup_stats_score_sheet_%s" % (page))

			popup.addline(" ")

			popup.addline("0. %s" % (common("cancel")))
			popup.submenu(10, "sm_popup_stats")

			if result <= length:
				popup = popuplib.create("sm_popup_stats_score_sheet_%s" % (page))

				popup.addline("SOCCER MOD %s (%s/%s)" % (messages("title"), page, number_pages))
				popup.addline(" ")

# ******************** Functions ********************
def reset():
	es.set("sm_stats_score_sheet_number", 1)

	global score_sheet
	score_sheet = []

def add():
	if es.ServerVar("sm_match_started") == 1:
		minutes = es.ServerVar("sm_match_minutes")
		seconds = es.ServerVar("sm_match_seconds")

		if seconds < 10:
			line = "%s:0%s " % (minutes, seconds)
		else:
			line = "%s:%s " % (minutes, seconds)

		score_t = es.ServerVar("sm_match_score_t")
		score_ct = es.ServerVar("sm_match_score_ct")

		if es.ServerVar("sm_match_swap_names_on") == 0:
			line += "%s - %s " % (score_t, score_ct)
		else:
			line += "%s - %s " % (score_ct, score_t)

		team = es.ServerVar("sm_stats_shooter_team")
		name = es.ServerVar("sm_stats_shooter_name")

		line += name
		line += " "

		winner = int(es.ServerVar("sm_stats_winner"))
		if team == winner:
			if es.ServerVar("sm_stats_assister_team") == winner:
				line += "(%s)" % (es.ServerVar("sm_stats_assister_name"))
			else:
				line += "(%s)" % (messages("assist"))
		else:
			line += "(%s)" % (messages("own_goal"))

		number = es.ServerVar("sm_stats_score_sheet_number")

		score_sheet.insert(number, line)

		number += 1
		es.set("sm_stats_score_sheet_number", number)

		delete_popup()
		create_popup()

def score_sheet_console(userid, choice, popupid):
	cmd = "echo ********************"

	es.cexec(userid, cmd)
	es.cexec(userid, "echo SOCCER MOD %s" % (messages("title")))
	es.cexec(userid, cmd)

	for row in score_sheet:
		es.cexec(userid, "echo %s" % (row))

	es.cexec(userid, cmd)

	popuplib.send(popupid, userid)

def delete_popup():
	number = 1
	exists = 1
	while exists == 1:
		name = "sm_popup_stats_score_sheet_%s" % (number)
		if popuplib.exists(name):
			popuplib.delete(name)
		else:
			exists = 0
		number += 1

# ******************** Unload ********************
def unload():
	delete_popup()